package com.subd.subd.Exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@ControllerAdvice
class PickUpPointNotFoundAdvice {
    @ResponseBody
    @ExceptionHandler(PickUpPointNotFoundException.class)
    @ResponseStatus(HttpStatus.NOT_FOUND)
    String PickUpPointNotFoundHandler(PickUpPointNotFoundException ex) {
        return ex.getMessage();
    }
}
