export default class Order {
    constructor(data) {
        this._id = data?.id;
        this._value = data?.value;
        this._status = data?.status;
        this._date = data?.date.split('T')[0];
        this._client = data?.client;
        this._clientId = data?.client.id;
        this._sourcePickUpPoint = data?.sourcePickUpPoint;
        this._sourcePickUpPointId = data?.sourcePickUpPoint.id;
        this._destPickUpPoint = data?.destPickUpPoint;
        this._destPickUpPointId = data?.destPickUpPoint?.id;
        this._car = data?.car;
        this._carId = data?.car.id;
    }

    get id() {
        return this._id;
    }

    get value() {
        return this._value;
    }

    set value(data) {
        this._value = data;
    }

    get status() {
        return this._status;
    }

    set status(data) {
        this._status = data;
    }

    get date() {
        return this._date;
    }

    set date(data) {
        this._date = data;
    }

    get clientId() {
        return this._clientId;
    }

    set clientId(value) {
        this._clientId = value;
    }

    get clientName() {
        return this._client?.name;
    }

    get sourcePickUpPointId() {
        return this._sourcePickUpPointId;
    }

    set sourcePickUpPointId(value) {
        this._sourcePickUpPointId = value;
    }

    get sourcePickUpPointAddress() {
        return this._sourcePickUpPoint?.address;
    }

    get destPickUpPointId() {
        return this._destPickUpPointId;
    }

    set destPickUpPointId(value) {
        this._destPickUpPointId = value;
    }

    get destPickUpPointAddress() {
        return this._destPickUpPoint?.address;
    }

    get carId() {
        return this._carId;
    }

    set carId(value) {
        this._carId = value;
    }

    get carNumber() {
        return this._car?.gosNumber;
    }
}