package com.subd.subd.Controllers;

import com.subd.subd.Models.Order;
import com.subd.subd.Repositories.OrderRepository;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class CustomRequest {
    private final OrderRepository orderRepository;
    public CustomRequest(OrderRepository orderRepository) {
        this.orderRepository = orderRepository;
    }
    @GetMapping("/custom")
    public List<Order> performCustomRequest() {
        return orderRepository.customAction();
    }
}
