export default class PickUpPoint {
    constructor(data) {
        this._id = data?.id;
        this._address = data?.address;
    }

    get id() {
        return this._id;
    }

    get address() {
        return this._address;
    }

    set address(value) {
        if (typeof value !== 'string' || value === null || value.length == 0) {
            throw 'New address value ' + value + ' is not a string or empty';
        }
        this._address = value;
    }
}